com.holonplatform.core.datastore.relational

## Enum Join.JoinType

- java.lang.Object
- - java.lang.Enum<Join.JoinType>
  - - com.holonplatform.core.datastore.relational.Join.JoinType

- All Implemented Interfaces:
    Serializable, Comparable<Join.JoinType>
  Enclosing interface:
    Join<T>

      public static enum Join.JoinType
      extends Enum<Join.JoinType>

  Enumeration of available join types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INNER` Inner join: returns all rows when there is at least one match in BOTH tables
    `LEFT` Left join: returns all rows from the left table, and the matched rows from the right table
    `RIGHT` Right join: return all rows from the right table, and the matched rows from the left table

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Join.JoinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Join.JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INNER

          public static final Join.JoinType INNER

      Inner join: returns all rows when there is at least one match in BOTH tables

    - #### LEFT

          public static final Join.JoinType LEFT

      Left join: returns all rows from the left table, and the matched rows from the right table

    - #### RIGHT

          public static final Join.JoinType RIGHT

      Right join: return all rows from the right table, and the matched rows from the left table

  - ### Method Detail

    - #### values

          public static Join.JoinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Join.JoinType c : Join.JoinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Join.JoinType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.